@echo off 
color 07 

echo --------------------------------------------
echo Welcome to Blitz Sonic Stage List Generator! 
echo --------------------------------------------
echo ^It is recommended that you backup your "Stages.xml" file before your first use.  
echo ^Press SpaceBar or any key to begin. 
echo --------------------------------------------

rem Now, set the folder we modify be the one this batch file is in. 
setLocal 

pause

rem if exist file.txt, then...  [FileCleanup] 
echo --------------------------------------------
if exist Stages[BackUp2].xml del Stages[BackUp2].xml 
if exist Stages[BackUp].xml ren Stages[BackUp].xml Stages[BackUp2].xml 
if exist Stages.xml ren Stages.xml Stages[BackUp].xml 
if exist DirectoryPrint_temp.txt del DirectoryPrint_Temp.txt 
echo Temporary files have been refreshed, and an automatic backup has been attempted. 
echo --------------------------------------------
pause

color 02 
@echo off 

dir /b | findstr /v /i "\.xml$ \.txt$ \.bat$" >DirectoryPrint_Temp.txt

rem pause


echo ^<?xml version="1.0"?^>>>Stages.xml
echo ^<stagelist^>>>Stages.xml
for /f "tokens=* delims= " %%a in (DirectoryPrint_Temp.txt) do (
echo ^<stage name="%%a"/^>>>Stages.xml 
)
echo ^</stagelist^>>>Stages.xml

@echo off 
color 07 

rem Now, delete the temporary file, and let the user know it's done. 
del DirectoryPrint_Temp.txt
echo --------------------------------------------
echo Finished! 
echo   If it doesn't work, then please restore your backup and/or try again later.  
echo --------------------------------------------
pause 
exit 
